package mior.controler;

import java.awt.event.ActionEvent;

import javax.swing.AbstractButton;

import mior.view.MiorCanvas;

public class ConfigureAssociationsAction extends AbstractMiorAction<MiorCanvas> {

	private static final long serialVersionUID = 1L;

	public ConfigureAssociationsAction(MiorCanvas data) {
		super(data, "Show associations");
	}
	
	@Override
	public void actionPerformed(ActionEvent e) {
		AbstractButton src = (AbstractButton) e.getSource();
		getData().setAssociationsVisible(src.isSelected());
	}

}
